Comment: Assigning dummy variables to age categries
Comment: 02/12/2004
By: Henry

IF (agcat = 1) under30 = 1.
EXECUTE .
IF (agcat = 2) hhd3039 = 1.
EXECUTE .
IF (agcat = 3) hhd4049 = 1.
EXECUTE .
IF (agcat = 4) hhd5059 = 1.
EXECUTE .
IF (agcat = 5) hhd60 = 1.
EXECUTE .
=============================================================
Comment: Replacing missing values
RECODE
  under30 hhd3039 hhd4049 hhd5059 hhd60  (SYSMIS=0)  .
EXECUTE .
==============================================================
Comment: Collapsing a person level file to household level file of household heads.

USE ALL.
COMPUTE filter_$=(biopers = 1).
VARIABLE LABEL filter_$ 'biopers = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(biopers = 1).
EXECUTE .
==============================================================
Comment: Replacing NA occurances on wrkstat variable with ufw

RECODE
  wrkstat  ('NA'='ufw')  .
EXECUTE .
==============================================================
Comment: Merging files 

MATCH FILES /FILE=*
 /FILE='C:\Hies\HIES Data\Junk\demog_1A.sav'
 /RENAME (district ea hhold hstead rec7 wrkindu wrkoccu = d0 d1 d2 d3 d4 d5
  d6)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.
==============================================================
Comment: Working status categorisation

RECODE
  wrkstat
  ('paid non-seasonal worker'=1)  ('paid seasonal worker'=2)  ('self'+
 '-employed'=3)  ('other'=3)  ('not stated'=3)  ('ufw'=4)  ('unpaid family worker'=4)  
 ('unpaid non-seasonal work'=5)  ('unpaid seasonal worker'=6)  ('employer'=7) INTO  workstat .
EXECUTE .

============================================================
Comment: Assigning dummy variables to working status of household heads.

IF (workstat = 1) pnsw = 1.
EXECUTE .
IF (workstat = 3) sempld = 1.
EXECUTE .
IF (workstat = 2) psw = 1.
EXECUTE .
IF (workstat = 4) ufw = 1.
EXECUTE .
IF (workstat = 5) unsw = 1.
EXECUTE .
IF (workstat = 6) usw = 1.
EXECUTE .
IF (workstat = 7) emplyr = 1.
EXECUTE .

---------------------------------------------------------------------------------------------------------
Comment: Replacing missing values with zeros on .

RECODE
  pnsw unsw psw usw emplyr sempld ufw  (SYSMIS=0)  .
EXECUTE .
================================================================

Comment: Creating variables for fuel for cooking, 08/12/2004
By Henry

IF (fuecook = 1) ckwood = 1.
EXECUTE.
IF (fuecook = 2) ckcoal = 1.
EXECUTE.
IF (fuecook = 3) ckelect = 1.
EXECUTE.
IF (fuecook = 4) ckparaf = 1.
EXECUTE.
IF (fuecook = 5) ckgas = 1.
EXECUTE.
IF (fuecook = 6) ckother = 1.
EXECUTE.
RECODE
 ckwood ckcoal ckelect ckparaf ckgas ckother (SYSMIS = 0).
EXECUTE.
====================================================================

Comment: Creating variables for fuel for lighting, 08/12/2004
By Henry

IF (fuelght = 1) fuewood = 1.
EXECUTE.
IF (fuelght = 2) fuecoal = 1.
EXECUTE.
IF (fuelght = 3) fueelect = 1.
EXECUTE.
IF (fuelght = 4) fueparaf = 1.
EXECUTE.
IF (fuelght = 5) fuegas = 1.
EXECUTE.
IF (fuelght = 6) fueother = 1.
EXECUTE.
RECODE
 fuewood fuecoal fueelect fueparaf fuegas fueother (SYSMIS=0).
EXECUTE.
=========================================================================

Comment: Creatting variables for type of toilet used, 08/12/2004
By Henry

IF (toitype = 1) toiflush = 1.
EXECUTE.
RECODE
 toiflush (SYSMIS=0).
EXECUTE.
IF (toitype = 2) toipitvt = 1.
EXECUTE.
RECODE
 toipitvt (SYSMIS=0).
EXECUTE.
IF (toitype = 3) toipit = 1.
EXECUTE.
RECODE
 toipit (SYSMIS=0).
EXECUTE.
IF (toitype = 4) toibush = 1.
EXECUTE.
RECODE
 toibush (SYSMIS=0).
EXECUTE.
IF (toitype = 5) toiother = 1.
EXECUTE.
RECODE
 toiother (SYSMIS=0).
EXECUTE.

RECODE
  pobcyc posmcyc posvans poscars postrac posgrnd poswash posfrdg poscomp
  posvidr posphon poscell poscams postelv posradi possewm posairc poseckr
  posgckr poshifi  (1 thru Highest=1)  .
EXECUTE .
